## iscsitarget 1.4.19+svn275-ubuntu2

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 KVER := $(shell $(CC) $(CFLAGS) -E -dM $(VERSION_FILE) | \
 	grep UTS_RELEASE | awk '{ print $$3 }' | sed 's/\"//g')
 
-KMOD := /lib/modules/$(KVER)/kernel
+KMOD := /lib/modules/$(KVER)/extra
 
 KMAJ := $(shell echo $(KVER) | \
 	sed -e 's/^\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*.*/\1/')
@@ -51,9 +51,34 @@
 # base first the earlier patch sets will not need to be modified.
 #
 
-# Compatibility patch for kernels >= 2.6.22 and <= 2.6.23
+# Compatibility patch for kernels <= 2.6.29
+ifeq ($(call kver_le,2,6,29),1)
+	PATCHES := $(PATCHES) compat-2.6.29.patch
+endif
+
+# Compatibility patch for kernels <= 2.6.28
+ifeq ($(call kver_le,2,6,28),1)
+	PATCHES := $(PATCHES) compat-2.6.28.patch
+endif
+
+# Compatibility patch for kernels >= 2.6.25 and <= 2.6.27
+ifeq ($(call kver_le,2,6,27),1)
+	PATCHES := $(PATCHES) compat-2.6.25-2.6.27.patch
+endif
+
+# Compatibility patch for kernels <= 2.6.24
+ifeq ($(call kver_le,2,6,24),1)
+	PATCHES := $(PATCHES) compat-2.6.24.patch
+endif
+
+# Compatibility patch for kernels <= 2.6.23
 ifeq ($(call kver_le,2,6,23),1)
-	PATCHES := $(PATCHES) compat-2.6.22-2.6.23.patch
+	PATCHES := $(PATCHES) compat-2.6.23.patch
+endif
+
+# Compatibility patch for kernels <= 2.6.22
+ifeq ($(call kver_le,2,6,22),1)
+	PATCHES := $(PATCHES) compat-2.6.22.patch
 endif
 
 # Compatibility patch for kernels >= 2.6.19 and <= 2.6.21
@@ -71,10 +96,22 @@
 	UNSUPPORTED := true
 endif
 
-# Compatibility patch for RHEL4/CentOS4
-ifeq ($(call kver_lk,"2\.6\.9-.*\.(EL|plus\.c4)"),1)
-	PATCHES += compat-rhel4.patch
-	UNSUPPORTED :=
+# Compatibility patches for SuSE distros
+ifneq ($(wildcard /etc/SuSE-release),)
+	# Compatibility patch for SLES 10 SP2
+	ifeq ($(call kver_lk,"2\.6\.16\.60-.*"),1)
+		PATCHES += compat-sles10sp2.patch
+		UNSUPPORTED :=
+	endif
+endif
+
+# Compatibility patches for Redhat distros
+ifneq ($(wildcard /etc/redhat-release),)
+	# Compatibility patch for RHEL4/CentOS4
+	ifeq ($(call kver_lk,"2\.6\.9-.*\.(EL|plus\.c4)"),1)
+		PATCHES += compat-rhel4.patch
+		UNSUPPORTED :=
+	endif
 endif
 
 MANPAGES:= ietadm.8 ietd.8 ietd.conf.5
@@ -96,7 +133,7 @@
 	MANDIR := /usr/share/man
 endif
 
-DOCS:= ChangeLog COPYING README README.vmware
+DOCS:= ChangeLog COPYING RELEASE_NOTES README README.vmware README.initiators
 
 ifeq ($(DOCDIR),)
 	DOCDIR := /usr/share/doc/iscsitarget
@@ -132,7 +169,7 @@
 	if [ ! -e .patched.* ]; then \
 		for p in $(PATCHES); do \
 			echo "Applying Patch $$p"; \
-			patch -p0 < patches/$$p; \
+			patch -p1 < patches/$$p; \
 			echo $$p >>.patched.$(KVER); \
 		done; \
 	fi
@@ -145,7 +182,7 @@
 		done; \
 		for r in $$reverse; do \
 			echo "Reversing patch $$r"; \
-			patch -p0 -R < patches/$$r; \
+			patch -p1 -R < patches/$$r; \
 		done; \
 		rm -f .patched.*; \
 	fi
@@ -158,7 +195,9 @@
 		depmod -aq $(KVER); \
 	fi
 
-install: install-usr install-etc install-doc install-kernel depmod
+install-files: install-usr install-etc install-doc install-kernel
+
+install: install-files depmod
 
 install-kernel: kernel/iscsi_trgt.ko
 	@install -vD kernel/iscsi_trgt.ko \
@@ -170,16 +209,22 @@
 
 install-etc: install-initd
 	@if [ ! -e $(DISTDIR)/etc/ietd.conf ]; then \
-		install -vD -m 644 etc/ietd.conf \
-			$(DISTDIR)/etc/ietd.conf; \
+		if [ ! -e $(DISTDIR)/etc/iet/ietd.conf ]; then \
+			install -vD -m 640 etc/ietd.conf \
+				$(DISTDIR)/etc/iet/ietd.conf; \
+		fi \
 	fi
 	@if [ ! -e $(DISTDIR)/etc/initiators.allow ]; then \
-		install -vD -m 644 etc/initiators.allow \
-			$(DISTDIR)/etc/initiators.allow; \
-	fi
-	@if [ ! -e $(DISTDIR)/etc/initiators.deny ]; then \
-		install -vD -m 644 etc/initiators.deny \
-			$(DISTDIR)/etc/initiators.deny; \
+		if [ ! -e $(DISTDIR)/etc/iet/initiators.allow ]; then \
+			install -vD -m 644 etc/initiators.allow \
+				$(DISTDIR)/etc/iet/initiators.allow; \
+		fi \
+	fi
+	@if [ ! -e $(DISTDIR)/etc/targets.allow ]; then \
+		if [ ! -e $(DISTDIR)/etc/iet/targets.allow ]; then \
+			install -vD -m 644 etc/targets.allow \
+				$(DISTDIR)/etc/iet/targets.allow; \
+		fi \
 	fi
 
 install-initd:
