=== debian/changelog ===
iscsitarget (1.4.19+svn275-ubuntu2) lucid; urgency=low

  * Install /etc/targets.allow.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Apr 2010 20:30:40 +0100

iscsitarget (1.4.19+svn275-ubuntu1) lucid; urgency=low

  * Merge from upstream SVN repo at
    svn://svn.berlios.de/iscsitarget/trunk
    -LP: #494693

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 09 Dec 2009 18:25:18 +0000

iscsitarget (0.4.16+svn162-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes (LP: #310321):
    - debian/control: Depend on lsb-base >= 3.2-14.
    - debian/prerm: Maintainer script to allow intrepid->jaunty upgrades of 
      iscsitarget to succeed.
    - debian/iscsitarget.init: lsb-ized the entire init script.

 -- Nick Ellery <nick.ellery@ubuntu.com>  Sun, 21 Dec 2008 13:40:23 -0800

iscsitarget (0.4.16+svn162-3) unstable; urgency=medium

  [ Jon Dowland ]
  * Add /etc/default/iscsitarget to determine whether to
    start the iscsitarget automatically or not. Default to
    not (environment might not have the correct module).
    Closes: #506099.

 -- Frederik Schüler <fs@debian.org>  Wed, 03 Dec 2008 15:07:17 +0100

iscsitarget (0.4.16+svn162-2ubuntu2) jaunty; urgency=low

  * debian/iscsitarget.prerm: Maintainer script to allow intrepid->jaunty
    upgrades of iscsitarget to succeed, if using the buggy iscsi_trgt.ko
    module that won't unload properly.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 24 Nov 2008 16:44:39 -0600

iscsitarget (0.4.16+svn162-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, fixes LP: #298520
   - Remaining changes:
    + debian/iscsitarget.init: lsb-ized the entire init script
      (Debian Bug: #506588)
    + debian/control: depend on lsb-base >= 3.2-14
   - Dropped changes:
    + debian/rules, usr/misc.h: -D_GNU_SOURCE no longer required,
      __qelem is explicitly defined by source

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 22 Nov 2008 15:14:12 -0600

iscsitarget (0.4.16+svn162-2) unstable; urgency=high

  * Fix initscript. (Closes: #484107)

 -- Frederik Schüler <fs@debian.org>  Sat, 04 Oct 2008 20:27:14 +0200

iscsitarget (0.4.16+svn162-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix bashism in initscript. (Closes: #486035)
  * Bump standards to 3.8.0, no changes needed.
  * List all copyright holders and contributors in the copyright file.

 -- Frederik Schüler <fs@debian.org>  Mon, 30 Jun 2008 00:11:39 +0200

iscsitarget (0.4.15+svn148-2.1ubuntu2) intrepid; urgency=low

  * debian/rules, usr/misc.h:
    + Use of struct cred required -D_GNU_SOURCE (LP: #247360)
    + Enabling -D_GNU_SOURCE defines struct qelem so the local
        definition is unnessecary.

 -- Bobby R. Ward <bobbyrward@gmail.com>  Thu, 10 Jul 2008 19:03:55 +0000

iscsitarget (0.4.15+svn148-2.1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update kernel modules to build for several architectures.
    - Fixed init script.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 May 2008 10:03:55 -0500

iscsitarget (0.4.15+svn148-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Fix failure to build kernel modules for several architectures with
    kernel version 2.6.24 or later. (Closes: #480734)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 19 May 2008 02:01:36 +0100

iscsitarget (0.4.15+svn148-2) unstable; urgency=high

  * Fix initscript, thanks to Gilles Mocellin for the patch. (Closes: #470411)

 -- Frederik Schüler <fs@debian.org>  Tue, 11 Mar 2008 23:01:45 +0100

iscsitarget (0.4.15+svn148-1) unstable; urgency=low

  * New upstream snapshot.
    - Adds support for 2.6.24 kernels. (Closes: #461753)
  * Fix bashism in initscript.(Closes: #464993)

 -- Frederik Schüler <fs@debian.org>  Tue, 19 Feb 2008 20:52:01 +0100

iscsitarget (0.4.15+svn145-1) unstable; urgency=low

  * New upstream snapshot.
    - support 2.6.23 kernels. (Closes: #449237)
    - fix ia64 FTBFS. (Closes: #457615)
  * Update to standards version 3.7.3, no changes needed.
  * Fix kbuild-clean target, thanks to Jeremy Laine <jeremy.laine@m4x.org>
    for the fix.
  * Add lsb section to the iscsitarget initscript.
  * Add lintian override for /etc/ietd.conf permissions.

 -- Frederik Schüler <fs@debian.org>  Sat, 29 Dec 2007 22:53:26 +0100

iscsitarget (0.4.15-5ubuntu2) hardy; urgency=low

  * Correct bashisms in init script (LP: #160106)
  * Set maintainer to MOTU

 -- John Dong <jdong@ubuntu.com>  Thu, 31 Jan 2008 09:28:53 -0500

iscsitarget (0.4.15-5ubuntu1) hardy; urgency=low

  * Fix kernel source to build with 2.6.24.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 29 Jan 2008 08:56:31 -0500

iscsitarget (0.4.15-5) unstable; urgency=high

  * Urgenc: high due to security update.
  * Fix /etc/ietd.conf permissions. (Closes: #448873)
  * Fix module-assistant build. Thanks to Franklin PIAT <fpiat@bigfoot.com>
    for the patch. (Closes: #448195)

 -- Frederik Schüler <fs@debian.org>  Sun, 04 Nov 2007 18:54:41 +0100

iscsitarget (0.4.15-4) unstable; urgency=low

  [ Frederik Schüler ]
  * Fix build failure on linux-2.6.22 (Closes: #432522)
  * Add toplevel Makefile to the module sources (Closes: #431765)
  * iscsitarget-source: do not recommend iscsitarget (Closes: #433318)

 -- Frederik Schüler <fs@debian.org>  Mon, 24 Sep 2007 12:15:50 +0200

iscsitarget (0.4.15-3) unstable; urgency=low

  * Don't depend on iscsitarget-module (Closes: #431302)

 -- Philipp Hug <debian@hug.cx>  Mon, 02 Jul 2007 15:39:36 +0200

iscsitarget (0.4.15-2) unstable; urgency=low

  * Uploaded to unstable

 -- Philipp Hug <debian@hug.cx>  Sat, 16 Jun 2007 21:48:42 +0200

iscsitarget (0.4.15-1) experimental; urgency=low

  * New upstream release
  * Uploaded to experimental (Closes: #304330)

 -- Philipp Hug <debian@hug.cx>  Mon, 16 Apr 2007 22:18:57 +0200

iscsitarget (0.4.14+svn92-1) UNRELEASED; urgency=low

  * New upstream snapshot for kernels 2.6.19 and later.

 -- Frederik Schüler <fs@debian.org>  Sun, 14 Jan 2007 23:05:56 +0100


