=== debian/control ===
Source: iscsitarget
Section: net
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Philipp Hug <debian@hug.cx>
Uploaders: Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 5.0.0), libssl-dev, bzip2
Standards-Version: 3.8.0
Homepage: http://iscsitarget.sourceforge.net/

Package: iscsitarget
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.2-14)
Recommends: iscsitarget-module
Suggests: iscsitarget-source
Description: iSCSI Enterprise Target userland tools
 iSCSI Enterprise Target is for building an iSCSI storage system on
 Linux. It is aimed at developing an iSCSI target satisfying enterprise
 requirements.
 .
 This package contains the userland part; you require the kernel module 
 for proper operation.

Package: iscsitarget-source
Architecture: all
Depends: debhelper (>= 5.0.0), module-assistant, bzip2
Description: iSCSI Enterprise Target kernel module source
 iSCSI Enterprise Target is for building an iSCSI storage system on
 Linux. It is aimed at developing an iSCSI target satisfying enterprise
 requirements.
 .
 This package provides the source code for the iscsitarget kernel module.
 The iscsitarget package is also required in order to make use of this
 module. Kernel source or headers are required to compile this module.
