=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

non_epoch_version=$(shell echo $(KVERS) | perl -pe 's/^\d+://')

PACKAGE=iscsitarget
psource=iscsitarget-source
pmodules = $(PACKAGE)-module-$(non_epoch_version)

MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# module-assistant stuff
MAJOR=$(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/')
ifeq ($(MAJOR),2.6)
KO=k
endif

kdist_clean:
	dh_clean
	 $(MAKE) -C $(KSRC) SUBDIRS=$(shell pwd)/kernel clean

# prep-deb-files rewrites the debian/ files as needed. See RATIONALE for
# details
kdist_config: prep-deb-files
# ... additional kernel specific things to configure...

kdist_configure: kdist_config

binary-modules: prep-deb-files
	dh_testdir
	dh_testroot
	dh_clean -k
	#$(MAKE) -C $(KSRC) KERNEL_SOURCES=$(KSRC) MODVERSIONS=detect KERNEL=linux-$(KVERS) KDIR=$(KSRC) SUBDIRS=$(shell pwd)/kernel modules
	$(MAKE) -C $(KSRC) SUBDIRS=$(shell pwd)/kernel modules
	
	#$(MAKE) -C $(KSRC) SUBDIRS=$(shell pwd)/kernel modules_install DESTDIR=$(CURDIR)/debian/$(pmodules)
	install -m644 -b -D $(shell pwd)/kernel/iscsi_trgt.$(KO)o $(CURDIR)/debian/${pmodules}/lib/modules/$(KVERS)/kernel/drivers/iscsi/iscsi_trgt.$(KO)o

	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: 
	dh_testdir
	$(MAKE) -C usr
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: 
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#
	$(MAKE) -C usr clean
	dh_clean 

install: install-arch install-indep
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i
	
	# Create the directories to install the source into
	dh_installdirs -p$(psource)  usr/src/modules/$(PACKAGE)
	dh_installdirs -p$(psource)  usr/src/modules/$(PACKAGE)/debian
	dh_installdirs -p$(psource)  usr/src/modules/$(PACKAGE)/include
	dh_installdirs -p$(psource)  usr/src/modules/$(PACKAGE)/kernel
	
	# Copy only the driver source to the proper location
	cp kernel/*  debian/$(psource)/usr/src/modules/$(PACKAGE)/kernel/
	cp include/* debian/$(psource)/usr/src/modules/$(PACKAGE)/include/
	
	# Copy the needed debian/ pieces to the proper location
	cp debian/*-module-* \
		debian/$(psource)/usr/src/modules/$(PACKAGE)/debian
	cp debian/control.modules.in \
		debian/$(psource)/usr/src/modules/$(PACKAGE)/debian/control.in
	cp debian/rules \
		debian/$(psource)/usr/src/modules/$(PACKAGE)/debian
	cp debian/changelog \
		debian/$(psource)/usr/src/modules/$(PACKAGE)/debian
	cp debian/copyright \
		debian/$(psource)/usr/src/modules/$(PACKAGE)/debian
	
#	 install debian/ files
	cd debian ; cp changelog control compat *.modules.in rules copyright $(psource)/usr/src/modules/$(PACKAGE)/debian
	
#	 create toplevel module Makefile
	echo "obj-m = kernel/" > debian/$(psource)/usr/src/modules/$(PACKAGE)/Makefile
	
#	 tar the stuff
	cd debian/$(psource)/usr/src/ ; tar cvjf iscsitarget.tar.bz2 modules ; rm -rf modules
	
	install -m 755 $(CURDIR)/debian/modass.iscsitarget-source $(CURDIR)/debian/$(psource)/usr/share/modass/overrides/iscsitarget-source
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s
	dh_install -s
	
	# install override
	mkdir -p debian/iscsitarget/usr/share/lintian/overrides
	cp debian/iscsitarget.overrides \
		debian/iscsitarget/usr/share/lintian/overrides/iscsitarget
	


# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installinit
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	chmod 600 $(CURDIR)/debian/iscsitarget/etc/ietd.conf
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
