## iscsitarget 1.4.20.2

=== debian/changelog ===
iscsitarget (1.4.20.2-6) unstable; urgency=low

  * SVN 1.4.20@453 - Co-ordinated with upstream on the stability of the tree
  * [494142b] Drop double installation of upstream changelog.
    Thanks to Christian Pernegger (Closes: #633005)
  * [71de4f8] Add package linux-headers to Recommends.
    Thanks to George Shuklin (Closes: 636157, 628428)
  * [8344c44] Add support to provide daemon options.
    Thanks to Alfredo Sola, Robbert Rijkse (Closes: 609582, 545536)
  * [8208ade] Drop debian/30-iscsitarget.conf. (Closes: 636497)
    We should not play with kernel sysct knobs right from the package.
    Setting those values will depend on a per machine basis
  * [0e96f0e] Update Standards Version to 3.9.2. No changes required

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 07 Aug 2011 02:09:59 +0530

iscsitarget (1.4.20.2-5) experimental; urgency=low

  * Sync to 1.4.20 branch. This is equivalent of 1.4.20.3 and includes all
    commits up till revision 1.4.20@453
  * Add linux-headers packages to Suggests (Closes: #628428)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 14 Jun 2011 09:30:01 +0530

iscsitarget (1.4.20.2-4expr2) experimental; urgency=low

  * Sync to 1.4.20 branch. This is equivalent of 1.4.20.3 and includes all
    commits up till revision 1.4.20@445
    (Closes: #618682, #622318, #610309)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 26 Apr 2011 15:40:17 +0530

iscsitarget (1.4.20.2-4) unstable; urgency=low

  * Last upload was incorrect. Really upload to unstable now

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 12 Feb 2011 01:59:17 +0530

iscsitarget (1.4.20.2-3) unstable; urgency=low

  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 10 Feb 2011 20:13:59 +0530

iscsitarget (1.4.20.2-2) experimental; urgency=low

  [ Michael Prokop ]
  * NIPQUAD definition has been removed in kernel 2.6.36,
    adjust kernel/conn.c accordingly so iscsitarget compiles
    against kernel 2.6.36. (Closes: #604641)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 08 Jan 2011 21:57:56 +0545

iscsitarget (1.4.20.2-1) unstable; urgency=low

  * New Upstream Bug Fix Release
  * Fix incorrect path installation. Correct path is /etc/iet/ 
  * Update Standards Version to 3.9.1 (No changes required) 
  * Add DKMS support for iscsitarget kernel module building 
  * Add iscsitarget-dkms to Suggests 
  * Change PID_FILE to ietd.pid. This was causing the ietd daemon to not
    be killed. Not very sure, perhaps upstream must have changed to ietd.pid
    from iscsi_trgt.pid (Closes: #589738)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 Aug 2010 13:38:08 +0530

iscsitarget (1.4.20.1-2) unstable; urgency=low

  * Change address to my official Debian address and remove the DMUA flag
  * Handle older kernel versions patches that upstream still supports. This
    should allow compiling iscsitarget with older kernels now.
    (Closes: #581200) 
  * Drop initiators.deny file in further installations which is already 
    deprecated upstream 
  * Switch config files directory to /etc/ietd as upstream recommends it and
    document this change in NEWS.Debian 
  * Add post-installation script to handle migration of old config file to the
    new location 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 05 Jun 2010 22:52:42 +0530

iscsitarget (1.4.20.1-1) unstable; urgency=low

  * New Upstream Bugfix Release 
  * Switch to 3.0 (quilt) source format 

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Mon, 03 May 2010 14:24:52 +0530

iscsitarget (1.4.20-1) unstable; urgency=low

  [ Philipp Hug ]
  * This package is group maintained now
  * Changed maintainer to alioth project mailing list

  [ Ritesh Raj Sarraf ]
  * New Upstream Release (Closes: #566509)
  * Add myself to Uploaders
  * LSB-ize the iscsitarget init script (Closes: #506588, #546477) 
  * Add misc:Depends
  * Bump Standards Version. (No Changes Required) 
  * Add DM Upload: yes
  * Add debian/source/format specifying the source format 
  * Explain a little more about iscsitarget-module package and how it is
    made available, in README.Debian 
  * Add Vcs headers 

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Sun, 18 Apr 2010 21:34:09 +0530

iscsitarget (0.4.17+svn229-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * [f1d4105] Depend on procps (Closes: #569684)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 16 Feb 2010 11:34:37 +0100

iscsitarget (0.4.17+svn229-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * [2a179ca] Let propcs handle the sysctl knobs to  make it more obvious to
    the sysadmin what's going on. (Closes: #543604)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Jan 2010 17:36:12 +0100

iscsitarget (0.4.17+svn229-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch from Petter Reinholdtsen <pere@debian.org>:
    - Fix incorrect provides and dependencies in init.d script
      (to solve release goal). (Closes: #542248)

 -- Michael Prokop <mika@debian.org>  Thu, 24 Sep 2009 00:05:36 +0200

iscsitarget (0.4.17+svn229-1.1) unstable; urgency=low

  * Non-maintainer upload. (Closes: #523374, #544941)
  * New upstream snapshot.
  * Bump Standards-Version to 3.8.3.

 -- Michael Prokop <mika@debian.org>  Fri, 11 Sep 2009 00:09:42 +0200
