## iscsitarget 1.4.20.3%2bsvn499

=== debian/changelog ===
iscsitarget (1.4.20.3+svn499-0ubuntu2.1) trusty; urgency=low

  * Backport compat changes to allow DKMS compiles for kernels up to 3.19
    (LP: #1483415).
    - d/p/fix-build-3.19: Modifies source to compile with 3.19
    - d/p/add-compat-3.19: Adds compat patches without enabling them
    - d/p/enable-compat-3.19: Enables compat patches in the DKMS config
  * Add a check for the DKMS kernel module to d/tests/daemon dep-8 test
    (LP: #1496057)

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 16 Sep 2015 13:29:48 +0200

iscsitarget (1.4.20.3+svn499-0ubuntu2) trusty; urgency=medium

  * debian/patches/enable-3.12-compat.patch: Ensure patches are applied
    correctly by dkms for kernels < 3.13. 

 -- James Page <james.page@ubuntu.com>  Thu, 27 Mar 2014 20:14:11 +0000

iscsitarget (1.4.20.3+svn499-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot including fixes for:
    - [r499] Compatibility with 3.13 kernel (LP: #1291641).
    - [r498] Fix backward compatibility patch rules for 3.x kernels.
    - [r497] Fix SERVICE ACTION IN / READ CAPACITY (16) - regression from r488.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Mar 2014 13:13:42 +0000

iscsitarget (1.4.20.3+svn496-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/iscsitarget.init: If module unloading fails after stopping ietd,
      report it but still exit zero since this doesn't justify causing
      package operations to fail.
    - d/docs: Install README.initiators and README.mcs.
    - d/p/*: Tidied redundant patches.
  * Dropped, included in new snapshot:
    - Re-sync with upstream accepted patches for 3.7->3.10 kernel support:
      - d/p/iscsitarget-svn495.patch: Support for 3.7 and 3.8 kernels
      - d/p/iscsitarget-svn496.patch: Support kernels up to and including
        3.10.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Nov 2013 11:11:50 +0000

iscsitarget (1.4.20.3+svn496-1) unstable; urgency=low

  * [798662d] Imported Upstream version 1.4.20.3+svn496
    Closes: #717155
  * [947f06d] Add README.source
  * [6e18336] Try harder to unload the kernel module.
    Thanks to David Mohr (Closes: #679515)
  * [ca83a57] Drop patch 001-fix-build-3.8.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 26 Sep 2013 18:15:08 +0530

iscsitarget (1.4.20.3+svn490-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/iscsitarget.init: If module unloading fails after stopping ietd,
      report it but still exit zero since this doesn't justify causing
      package operations to fail.
    - d/docs: Install README.initiators and README.mcs.
  * Re-sync with upstream accepted patches for 3.7->3.10 kernel support:
    - d/p/iscsitarget-svn495.patch: Support for 3.7 and 3.8 kernels
    - d/p/iscsitarget-svn496.patch: Support kernels up to and including
      3.10.
  * Dropped:
    - d/p/001-fix-build-3.8.patch: Dropped in preference to upstream
      committed patch.
    - d/p/*: Tidied redundant patches.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Jul 2013 09:04:22 +0100

iscsitarget (1.4.20.3+svn490-2) unstable; urgency=low

  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 16 Jun 2013 14:07:47 +0530

iscsitarget (1.4.20.3+svn490-1) experimental; urgency=low

  * [6457029] Imported Upstream version 1.4.20.3+svn490
    (Closes: #698757, #696383)
  * [22f9a74] Drop patches, applied upstream
    - inactive-sessions.patch
    - iscsitarget-prelim-1.4.20.3.patch
    - 0001-Makefile-changes-to-support-3.x-kernels.patch
    - 0002-Fix-send_data_rsp-to-handle-sense-data-correctly.patch
    - 0003-Compile-fix-for-kernels-3.1-and-3.2.patch
  * [1b1225b] Add patch 001-fix-build-3.8.patch

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Fri, 12 Apr 2013 13:00:43 +0530

iscsitarget (1.4.20.2-11) experimental; urgency=low

  * [6dfdd7c] Add iscsitarget-dkms to Recommends and drop iscsitarget-module
  * [281b4a4] Update README.Debian explaining the new DKMS package.
    Thanks to Olaf van der Spek (Closes: #668382)
  * [a0d484c] Drop patch fix-build-3-2.patch
  * [afdf1df] Add patches from 1.4.20 stable branch (Closes: #685422)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 15 Sep 2012 12:55:24 +0530

iscsitarget (1.4.20.2-10ubuntu4) saucy; urgency=low

  * d/p/fix-3.10-kernel-match.patch: Fixup patch pattern matching for
    >= 3.10 kernels.
  * d/p/kernel-3.10-support.patch: Add support for Linux 3.10
    (LP: #1195607).

 -- James Page <james.page@ubuntu.com>  Wed, 03 Jul 2013 09:27:28 +0100

iscsitarget (1.4.20.2-10ubuntu3) saucy; urgency=low

  * debian/tests: Add autopkgtest.

 -- Yolanda <yolanda.robla@canonical.com>  Fri, 10 May 2013 22:47:14 +0200

iscsitarget (1.4.20.2-10ubuntu2) raring; urgency=low

  * Fix compatibility with Linux 3.8 kernel (LP: #1117288):
    - d/p/iscsitarget-svn486.patch: Cherry picked patch from upstream VCS
      which adds support for 3.6 kernel.
    - d/p/fix-dkms.conf: Refreshed for backward compat < 3.6,3.8 kernel.
    - d/p/kernel-3.8-compat.patch: Fix compatibility Linux 3.8 kernel.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2013 10:13:09 +0000

iscsitarget (1.4.20.2-10ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - d/iscsitarget.init: If module unloading fails after stopping ietd,
      report it but still exit zero since this doesn't justify causing
      package operations to fail.
    - d/docs: Install README.initiators and README.mcs.
    - d/p/fix-send-data-rsp.patch: Pick change @462 from upstream svn to
      prevent a assertion failure in iscsi.c@492.
    - d/p/linux-3.2-includes.patch: Add additional includes of linux/export.h
      and linux/module.h, resolving dkms build failures with > linux 3.2.
    - d/p/fix-dkms.patch: Add missing patch entries to the dkms.conf file.
  * Fix DKMS compatibility with Linux 3.5 kernel (LP: #1045706):
    - d/p/iscsitarget-svn{444,471}.patch: Cherry picked patches from
